import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { CMTime } from "../structs/CMTime.js";
export declare class _VTFrameProcessorFrame extends _NSObject {
    static alloc(): _VTFrameProcessorFrame;
    static new(): _VTFrameProcessorFrame;
    init(): _VTFrameProcessorFrame;
    /**
     * Creates a new instance of frame with a pixel buffer and presentation timestamp. The `CVPixelBuffer` is retained in this object. Returns `nil` if the ``CVPixelBuffer`` you provided is NULL or the ``CVPixelBuffer`` is not backed by ``IOSurface``. - Parameters: - buffer: The ``CVPixelBuffer`` that this frame wraps; it must not be `nil` and must be ``IOSurface`` backed. - presentationTimeStamp: The presentation timestamp of the buffer.
     */
    initWithBuffer$presentationTimeStamp$(buffer: NobjcObject, presentationTimeStamp: CMTime): _VTFrameProcessorFrame | null;
    /** Pixel buffer that you provided when you initialized the object. */
    buffer(): NobjcObject;
    /** Presentation timestamp that you provided when you initialized the object. */
    presentationTimeStamp(): CMTime;
}
